import type { Metadata } from "next"
import { Inter } from "next/font/google"
import "./globals.css"
import Header from "~/components/header"
import { TRPCReactProvider } from "~/trpc/react"
import { auth } from "~/auth"

const inter = Inter({ subsets: ["latin"] })

export const metadata: Metadata = {
  title: "Create Next App",
  description: "Generated by create next app",
}

export default async function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode
}>) {
  return (
    <html lang="en">
      <body className={inter.className}>
        <TRPCReactProvider session={await auth()}>
          <Header />
          {children}
        </TRPCReactProvider>
      </body>
    </html>
  )
}
